<template>
  <v-main class="mainStyle">
    <v-card class="bg-blue-darken-4 mb-3">
      <h2 class="m-3">Hilfe</h2>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea1 = !showArea1">Wie erstelle ich ein Ticket?</h4>
      <v-card color="blue-lighten-5"><p v-if="showArea1">1. BLABLA 2. BLABLA</p></v-card>

    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea2 = !showArea2">Wie bearbeite ich ein Ticket?</h4>
      <p v-if="showArea2">1. BLABLA 2. BLABLA</p>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea3 = !showArea3">Wie ändere ich mein Passwort?</h4>
      <p v-if="showArea3">1. BLABLA 2. BLABLA</p>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea4 = !showArea4">Wie ändere ich meine persönlichen Daten?</h4>
      <p v-if="showArea4">1. BLABLA 2. BLABLA</p>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea5 = !showArea5">Wie erstelle ich neue Mitarbeiter Accounts?</h4>
      <p v-if="showArea5">1. BLABLA 2. BLABLA</p>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea6 = !showArea6">Wie erstelle ich neue Abteilungen?</h4>
      <p v-if="showArea6">1. BLABLA 2. BLABLA</p>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea7 = !showArea7">Wo sehe ich meine aktuellen Tickets?</h4>
      <p v-if="showArea7">1. BLABLA 2. BLABLA</p>
    </v-card>

    <v-card class="mt-2 helpCard">
      <h4 @click.prevent="showArea8 = !showArea8">Wo sehe ich meine erledigten Tickets?</h4>
      <p v-if="showArea8">1. BLABLA 2. BLABLA</p>
    </v-card>

  </v-main>
</template>

<script setup>

import {ref} from "vue";

const showArea1 = ref(false);
const showArea2 = ref(false);
const showArea3 = ref(false);
const showArea4 = ref(false);
const showArea5 = ref(false);
const showArea6 = ref(false);
const showArea7 = ref(false);
const showArea8 = ref(false);
</script>

<style scoped>

.helpCard {
  cursor: pointer;
}

.mainStyle{
  min-height: 95vh;
}

</style>